Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

[AEM Gems Webinar] Accelerating Experience Manager as a Cloud Service development with Rapid Development Environments
SOLVED

adding a dependency of jsoup-1.14.3 in our project bundle- bundle is not resolving

Avatar

Level 1

when I am adding a dependency of jsoup-1.12.2 in my project bundle, I dont face any issue, the project bundle is resolved and active. But Veracode security scan found a security issue in jsoup 1.12.2 version and recommended to use latest version.

When I am using jsoup-1.14.2 or any other higher version, my project bundle is not resolving. There is no compile time issue. I get the below error while resolving

 

javax.annotation.meta,version=[3.0,4) -- Cannot be resolved

 

I think this javax.annotation.meta package is getting added internally in latest jsoup (1.14.2 or higher).

 

Has anyone faced similar issue or know how to fix this?

 

Regards,

Niraj

 

1 Accepted Solution

Avatar

Correct answer by
Community Advisor

Hi @Niraj2 ,

With jsoup - since it's third party jar bundle, even if you have included in dependency you still have to add the jsoup Jar to AEM as well through system console eg. http://localhost:4502/system/console/bundles 

Please check this: https://experienceleaguecommunities.adobe.com/t5/adobe-experience-manager/jsoup-jar-does-not-install...

Hope that helps!

Regards,

Santosh

View solution in original post

0 Replies

Avatar

Correct answer by
Community Advisor

Hi @Niraj2 ,

With jsoup - since it's third party jar bundle, even if you have included in dependency you still have to add the jsoup Jar to AEM as well through system console eg. http://localhost:4502/system/console/bundles 

Please check this: https://experienceleaguecommunities.adobe.com/t5/adobe-experience-manager/jsoup-jar-does-not-install...

Hope that helps!

Regards,

Santosh

Avatar

Level 1

Hi Santosh,

Thanks for the suggestion. I will try this today and check. I will update after that.

 

Regards,

Niraj